@ECHO OFF
SET E=
FOR %%! IN (1 2) DO IF ERRORLEVEL %%!00 SET E=%%!
SET !=0 1 2 3 4 5 6 7 8 9
IF ERRORLEVEL ø SET !=0 1 2 3 4 5
IF ERRORLEVEL : FOR %%! IN (%!%) DO IF ERRORLEVEL %E%%%!0 SET E=%E%%%!
IF NOT ERRORLEVEL * SET !=0 1 2 3 4 5 6 7 8 9
FOR %%! IN (%!%) DO IF ERRORLEVEL %E%%%! SET E=%E%%%!
ECHO Errorlevel = %E%
SET EL=%E%
FOR %%! IN (! E) DO SET %%!=
